# These are the only two variables that you need to change
Prefix: /opt/kde2
%define qtdir /usr/lib/qt2

Name: kbiff
Summary: KBiff -- Mail notification utility
Version: 3.4
Release: 1
Copyright: GPL
Group: X11/KDE/Internet
Source: http://www.granroth.org/kbiff/kbiff-%{version}.tar.bz2
URL: http://www.granroth.org/kbiff
Packager: Kurt Granroth <granroth@kde.org>
BuildRoot: /tmp/kbiff-%{version}

%description
An "xbiff"-like mail notification utility. Has multiple
pixmaps, session management, and GUI configuration. Can
"dock" into KDE panel.  Can display animated gifs, play
system sounds,  or run arbitrary shell command when new
mail arrives.  Supports mbox, maildir, mh, POP3, IMAP4,
and NNTP mailboxes.  Has capability to monitor multiple
mailboxes with one instance.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n kbiff-%{version}

%build
export KDEDIR=%{prefix}
export QTDIR=%{qtdir}
./configure --prefix=%{prefix} \
            --disable-debug \
            --enable-final
make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/kbiff
%{prefix}/share/applnk/Internet/kbiff.desktop
%{prefix}/share/apps/kbiff/
%{prefix}/share/doc/HTML/en/kbiff/
%{prefix}/share/doc/HTML/es/kbiff/
%{prefix}/share/doc/HTML/de/kbiff/
%{prefix}/share/doc/HTML/fr/kbiff/
%{prefix}/share/icons/locolor/32x32/apps/kbiff.png
%{prefix}/share/icons/locolor/16x16/apps/kbiff.png
%{prefix}/share/icons/hicolor/32x32/apps/kbiff.png
%{prefix}/share/icons/hicolor/48x48/apps/kbiff.png 
%{prefix}/share/locale/br/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/cs/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/da/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/de/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/es/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/et/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/fi/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/fr/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/he/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/hr/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/hu/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/is/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/it/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/nl/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/no/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/no_NY/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/pl/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/pt/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/pt_BR/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/ro/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/sk/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/sl/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/sv/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/tr/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/uk/LC_MESSAGES/kbiff.mo
%{prefix}/share/locale/zh_TW.Big5/LC_MESSAGES/kbiff.mo
